Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2Statement Class Reference

An element of a decision that that determines a transition to a state. More...

`#include <Xabsl2Option.h>`

Inheritance diagram for Xabsl2Statement:

[legend]
List of all members.

## Public Member Functions
virtual Xabsl2State * | getNextState ()=0
| Executes the statement and determines the next active state (can be the same).
virtual | ~Xabsl2Statement ()=0
| Destructor.
## Static Public Member Functions
Xabsl2Statement * | createStatement (Xabsl2InputSource &input, Xabsl2Option *subsequentOption, Xabsl2ErrorHandler &errorHandler, Xabsl2Array< Xabsl2State * > &states, Xabsl2Array< double > &parameters, Xabsl2Symbols &symbols, unsigned long &timeOfOptionExecution, unsigned long &timeOfStateExecution)
| Creates a statement depending on the input.

## Detailed Description

An element of a decision that that determines a transition to a state.

It can be either a transition to a state or a if/else-if/else block containing other statements.

Author:
  Martin Lötzsch

Definition at line 27 of file Xabsl2Option.h.

## Constructor & Destructor Documentation

Xabsl2Statement::~Xabsl2Statement | ( |  | ) | `[pure virtual]`

| Destructor. Definition at line 37 of file Xabsl2Option.cpp.

## Member Function Documentation

virtual Xabsl2State* Xabsl2Statement::getNextState | ( |  | ) | `[pure virtual]`

| Executes the statement and determines the next active state (can be the same). Implemented in Xabsl2IfElseBlock, and Xabsl2TransitionToState. Referenced by Xabsl2State::getNextState(), and Xabsl2IfElseBlock::getNextState().

Xabsl2Statement * Xabsl2Statement::createStatement | ( | Xabsl2InputSource & | input,
|  | Xabsl2Option * | subsequentOption,
|  | Xabsl2ErrorHandler & | errorHandler,
|  | Xabsl2Array< Xabsl2State * > & | states,
|  | Xabsl2Array< double > & | parameters,
|  | Xabsl2Symbols & | symbols,
|  | unsigned long & | timeOfOptionExecution,
|  | unsigned long & | timeOfStateExecution
| ) | `[static]`

  | Creates a statement depending on the input. Parameters:
  input | An input source for the intermediate code. It must be opened and read until A position where a statement starts.
  subsequentOption | The subsequent option of the state. 0 if the subsequent behavior is a basic behavior
  errorHandler | A reference to a Xabsl2ErrorHandler instance
  states | All states of the option
  parameters | The parameters of the option
  symbols | All available symbols
  timeOfOptionExecution | The time how long the option is already active
  timeOfStateExecution | The time how long the state is already active
Definition at line 11 of file Xabsl2Option.cpp. References Xabsl2ErrorHandler::error(), and Xabsl2InputSource::readString(). Referenced by Xabsl2State::create(), and Xabsl2IfElseBlock::Xabsl2IfElseBlock().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2Option.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2Option.cpp